/*****************************************************************

     ██████╗ ███████╗███╗   ██╗███████╗██████╗  █████╗ ██╗
    ██╔════╝ ██╔════╝████╗  ██║██╔════╝██╔══██╗██╔══██╗██║
    ██║  ███╗█████╗  ██╔██╗ ██║█████╗  ██████╔╝███████║██║
    ██║   ██║██╔══╝  ██║╚██╗██║██╔══╝  ██╔══██╗██╔══██║██║
    ╚██████╔╝███████╗██║ ╚████║███████╗██║  ██║██║  ██║███████╗
     ╚═════╝ ╚══════╝╚═╝  ╚═══╝╚══════╝╚═╝  ╚═╝╚═╝  ╚═╝╚══════╝

 ******************************************************************/



    input, 
    textarea,
    select {
        border-radius: 0;
        border-bottom: 1px solid var(--ks-primary-black);
        border-left: 0;
        border-right: 0;
        border-top: 0;
    }

    input,
    textarea {
        padding: 10px 0 !important;
    }

    input:focus, 
    textarea:focus,
    select:focus {
        box-shadow: none;
    }



/**************************************************************************************************************

     ██████╗ ██████╗  █████╗ ██╗   ██╗██╗████████╗██╗   ██╗    ███████╗ ██████╗ ██████╗ ███╗   ███╗███████╗
    ██╔════╝ ██╔══██╗██╔══██╗██║   ██║██║╚══██╔══╝╚██╗ ██╔╝    ██╔════╝██╔═══██╗██╔══██╗████╗ ████║██╔════╝
    ██║  ███╗██████╔╝███████║██║   ██║██║   ██║    ╚████╔╝     █████╗  ██║   ██║██████╔╝██╔████╔██║███████╗
    ██║   ██║██╔══██╗██╔══██║╚██╗ ██╔╝██║   ██║     ╚██╔╝      ██╔══╝  ██║   ██║██╔══██╗██║╚██╔╝██║╚════██║
    ╚██████╔╝██║  ██║██║  ██║ ╚████╔╝ ██║   ██║      ██║       ██║     ╚██████╔╝██║  ██║██║ ╚═╝ ██║███████║
     ╚═════╝ ╚═╝  ╚═╝╚═╝  ╚═╝  ╚═══╝  ╚═╝   ╚═╝      ╚═╝       ╚═╝      ╚═════╝ ╚═╝  ╚═╝╚═╝     ╚═╝╚══════╝

 **************************************************************************************************************/



    /* Gravity Forms layout stylings. */

    .gform_wrapper {
        padding: 0;
        font-family: var(--nvm-font-sans-serif-barlow);
    }

    .small .gform_wrapper {
        margin: 39px var(--ks-horizontal-space-A) 0 var(--ks-horizontal-space-A);
    }

    .tablet .gform_wrapper {
        margin: 39px var(--ks-horizontal-space-B) 0 var(--ks-horizontal-space-A);
    }

    .laptop .gform_wrapper {
        margin: 39px var(--ks-horizontal-space-A) 0 var(--ks-horizontal-space-A);
    }

    .large .gform_wrapper {
        margin: 39px var(--ks-horizontal-space-B) 0 var(--ks-horizontal-space-A);
    }

    .gform_wrapper [class*="column"] {
        padding-right: var(--nvm-grid-gutter) !important;
        padding-left: var(--nvm-grid-gutter) !important;
    }

    .gform_wrapper ::placeholder {
        font-family: var(--nvm-font-sans-serif-barlow) !important;
        font-size: 18px;
        font-weight: 700;
        color: var(--ks-primary-black);
        text-transform: uppercase;
    }

     .gform_wrapper ::placeholder:before {
        content: '*';
    }

        .gform_heading {
            padding-bottom: 10px;
        }

        .desktop .gform_heading {
            padding-right: var(--ks-horizontal-space-C);
        }

            h3.gform_title {
                font-weight: 700 !important;
                font-size: 30px !important;
                line-height: 1em !important;
                font-family: var(--nvm-font-sans-serif-barlow) !important;
                margin: 0 0 var(--nvm-text-rhythm ) !important;
            }

            .gform_description {
                font-family: var(--nvm-font-sans-serif-roboto);
            }

        .gform_body {
            clear: both;
        }

        .gform_wrapper .gfield {
            padding: 0 0 20px 0 !important;
            font-size: 14px;
            font-family: var(--nvm-font-sans-serif-roboto) !important;;
            font-weight: 700;
            color: var(--ks-primary-black);
            text-transform: uppercase;
        }
        
            .gform_wrapper .gfield label, ul.gform_fields label.gform-field-label, .gform_wrapper .gfield .ginput_container_fileupload {
                font-size: 18px;
                font-family: var(--nvm-font-sans-serif-barlow) !important;
            }

            #field_4_14 .ginput_container_text input {
                text-transform: uppercase !important;
                font-family: var(--nvm-font-sans-serif-barlow) !important;
            }

                #field_4_14 .ginput_container_text input {
                    font-size: 18px;
                }
            

        body .gform_legacy_markup_wrapper ul li.gfield {
            margin-top: 0 !important;
            padding-bottom: 10px !important;
        }

        #field_1_9 {
            margin-top: 26px !important;
        }

        #field_1_9 .gfield_required {
            color: var(--ks-primary-black);
        }

        .gform_footer {
            clear: both;
        }

        .gform_wrapper .row .gform_footer {
            padding-right: var(--nvm-grid-gutter) !important;
            padding-left: var(--nvm-grid-gutter) !important;
        }
    
        .gform_wrapper input[type="submit"] {
            display: inline-block !important;
            width: 120px !important;
            background: var(--ks-primary-black);
            color: var(--ks-primary-white);
            font-size: 14px !important;
            letter-spacing: 1.5px;
            height: 2.5em;
            line-height: 2.5em;
            padding: 0 23px !important;
            text-align: center;
        }

        .gform_wrapper input[type="submit"]:hover {
            font-weight: 600;
        }

        .small .gform_legacy_markup_wrapper .gfield_checkbox li label, .gform_legacy_markup_wrapper .gfield_radio li label {
            font-size: 14px !important;
        }

        .tablet .gform_legacy_markup_wrapper .gfield_checkbox li label, .gform_legacy_markup_wrapper .gfield_radio li label {
            font-size: 16px !important;
        }

        .gfield-choice-input {
            margin: 5px 5px 5px 0 !important;
        }

        .gchoice_select_all, .gform_legacy_markup_wrapper ul.gfield_checkbox li input[type=checkbox]:checked+label, .gform_legacy_markup_wrapper ul.gfield_radio li input[type=radio]:checked+label {
            font-weight: normal;
        }

    /* Gravity Forms fields. */

    .gform_wrapper .textarea,
    .gform_wrapper .textarea.small {
        height: 9em;
    }

    .gform_wrapper .textarea.medium {
        height: 25em;
    }

    .gform_wrapper .textarea.large {
        height: 30em;
    }

        .gfield_radio input,
        .gfield_checkbox input,
        .gfield_radio label,
        .gfield_checkbox label {
            display: inline;
            width: auto;
            height: auto;
            line-height: 1;
        }

        .gfield_radio label,
        .gfield_checkbox label {
            padding-left: 0.5em;
        }


    .gform_legacy_markup_wrapper .gform_footer {
        padding: 0 0 0 0;
        margin: 0 0 0 0;
    }

    /* Form validation stuff. */

    .gfield_required {
        display: inline-block;
        margin-left: 5px;
    }

    .gform_wrapper .validation_error {
        padding: 1em;
        margin-bottom: 10px;
        font-size: unset;
        border-radius: 0 !important;
        color: #4b4948;
        background: rgb(254 253 249);
        transform: translate3d(0, 0, 0);
        border-top: 2px solid #4b4948 !important;
        border-bottom: 2px solid #4b4948 !important;
        border-left: 2px solid #4b4948 !important;
        border-right: 2px solid #4b4948 !important;
    }

    .gform_wrapper .row .validation_error {
        margin-left: var(--nvm-grid-gutter);
        margin-right: var(--nvm-grid-gutter);
    }

        .gform_wrapper .validation_error::before {
            /*display: inline-block;*/
            display: none;
            font-family: var(--nvm-font-icons);
            content: '\e80e';
            margin-right: 1em;
        }

    .gform_validation_container {
        display: none;
    }

    /* Form error fields. */

    .gform_wrapper .validation_message {
        display: inline-block;
        /*color: var(--ks-primary-white) !important;
        background: rgb(26 26 26 / 78%) !important;*/
        color: #790000 !important;
        background: var(--ks-primary-white) !important;
        font-family: var(--nvm-font-sans-serif-barlow);
        font-size: 15px;
        font-weight: normal !important;
        line-height: 1.3em !important;
        padding: 8px 4px 0 !important;
        margin-bottom: 0;
        border-radius: 0 !important;
        transform: translate3d(0, 0, 0);
    }

        .gfield_error input,
        .gfield_error textarea,
        .gfield_error select {
            width: 100%;
            background: rgba(var(--gray-light-x), 0.3);
        }

    /* Form submit waiting loader. */

    .gform_ajax_spinner {
        width: auto !important;
        height: auto !important;
        margin-left: 20px;
        width: 25px !important;
        height: 25px !important;
        background: var(--ks-primary-white);
    }

    /* Form success confirmation message. */

    .gform_confirmation_message {
        padding: 2em;
        margin-bottom: var(--nvm-text-rhythm);
        font-size: unset;
        border-radius: 0 !important;
        color: rgb(249 247 239) !important;
        background: rgb(26 26 26) !important;
        text-align: center !important;
        font-family: var(--nvm-font-sans-serif-barlow) !important;
        font-size: 20px;
    }

            .gform_confirmation_message::before {
                display: none;
                font-family: var(--nvm-font-icons);
                content: '\e834';
                margin-right: 1em;
            }

        .row .gform_confirmation_message {
            margin-left: 22.5px;
            margin-right: 22.5px;
        }

    /* Form error message. */
    .gform_legacy_markup_wrapper li.gfield.gfield_error, 
    .gform_legacy_markup_wrapper li.gfield.gfield_error.gfield_contains_required.gfield_creditcard_warning {
        border: 0 !important;
    }

    .gform_legacy_markup_wrapper li.gfield_error input:not([type=radio]):not([type=checkbox]):not([type=submit]):not([type=button]):not([type=image]):not([type=file]), 
    .gform_legacy_markup_wrapper li.gfield_error textarea {
        border: 1px solid #790000;
        padding-left: 5px !important;
    }

    .gform_legacy_markup_wrapper li.gfield_error ul.gfield_checkbox {
        color: var(--ks-primary-black) !important;
    }

    li.gfield.gfield_error {
        background: transparent !important;
    }
    
    /* Remove default arrow for select (works in most modern browsers) */
    body select.gfield_select {
        -webkit-appearance: none; /* Safari */
        -moz-appearance: none;    /* Firefox */
        appearance: none;         /* Chrome, Edge */

    }

    /* Add a black chevron-down arrow */
    body select.gfield_select {
        background-image: url('data:image/svg+xml,%3Csvg xmlns=%22http://www.w3.org/2000/svg%22 width=%2216%22 height=%2216%22 viewBox=%220 0 24 24%22 fill=%22none%22%3E%3Cpath fill-rule=%22evenodd%22 clip-rule=%22evenodd%22 d=%22M6.29 8.29a1 1 0 0 1 1.42 0L12 12.59l4.29-4.3a1 1 0 1 1 1.42 1.42l-5 5a1 1 0 0 1-1.42 0l-5-5a1 1 0 0 1 0-1.42z%22 fill=%22%23000000%22/%3E%3C/svg%3E');
        background-repeat: no-repeat;
        background-position: right 10px center;
        background-size: 20px;
        font-family: var(--nvm-font-sans-serif-barlow) !important;
        font-size: 18px;

    }

        /* Hide the default checkbox and add custom styles */
        .ginput_container_checkbox .gfield-choice-input {
            appearance: none;
            -webkit-appearance: none;
            -moz-appearance: none;
            width: 16px;
            height: 16px;
            border: 1px solid var(--ks-primary-black);
            cursor: pointer;
            background-color: var(--ks-primary-white);
        }

            /* Custom checkmark when the checkbox is checked */
            .ginput_container_checkbox .gfield-choice-input:checked {
                background-color: var(--ks-primary-black); /* Black background when checked */
                border-color: var(--ks-primary-black); /* Black border when checked */
                display: block;
                position: relative;
            }

                /* Add the white check icon */
                .ginput_container_checkbox .gfield-choice-input:checked::after {
                    content: '\2713'; /* Unicode character for check mark */
                    font-size: 12px;
                    color: var(--ks-primary-white);
                    position: absolute;
                    top: 1px;
                    left: 3px;
                }

                    a.privacy-policy-link {
                        font-weight: 700;
                        padding-left: 3px;
                        padding-right: 3px;
                        line-height: 1em !important;
                        padding-bottom: 1px;
                    }


    input.gfield-choice-input {
        padding: unset !important;
    }


    body .gform_legacy_markup_wrapper ul li.gfield {
        margin-top: 0 !important;
        padding-bottom: 10px !important;
    }

    /* File upload */
    body .gform_legacy_markup_wrapper .top_label div.ginput_container_fileupload {
        margin-top: 20px;
    }

        /*.gfield--type-fileupload {
            display: flex;
            align-items: center;
        }*/


        .gfield--type-fileupload label {
            width: auto;
            padding-right: 10px;
        }


        #gform_wrapper_4 input[type="file"] {
            opacity: 0;
            position: absolute;
            z-index: -1;
            max-width: 200px;
        }

        .custom-file-label {
            display: inline-block;
            line-height: 1.3;
            font-weight: 700;
            font-size: inherit;
            clear: both;
        }

        .custom-file-name {
            text-transform: none;
            display: inline !important;
        }

        .gform_fileupload_rules {
            display: block;
        }

        .gform_legacy_markup_wrapper .field_description_below .gfield_description {
            padding-top: 0 !important;
        }
        

    /* How to Apply form fixes. */
    #gform_wrapper_4 .gfield_required .gfield_required_asterisk {
        color: var(--nvm-color-text);
    }

    #gform_wrapper_4 .position-title {
        pointer-events: none;
    }

        #gform_wrapper_4 .position-title ::placeholder {
            font-weight: inherit;
        }

        .gfield_required_asterisk {
            display: none;;
        }


    /* AUTOFILL BACKGROUND */
    .gform_wrapper input:-webkit-autofill,
    .gform_wrapper input:-webkit-autofill:hover,
    .gform_wrapper input:-webkit-autofill:focus,
    .gform_wrapper input:-webkit-autofill:active  {
        -webkit-box-shadow: 0 0 0 60px var(--ks-primary-white) inset!important;
    }

    #gform_confirmation_wrapper_1 {
        margin-top: 39px !important;
    }




    #field_4_15 {
    margin-top: 8px !important;
}

#field_4_15 .ginput_container.ginput_container_fileupload {
    margin-top: 0 !important;
}
    #gform_drag_drop_area_4_15 {
        padding: 0;
        border: 0;
        text-align: left;
        color: #1a1a1a;
        margin-bottom: 0;
        background: rgb(255 255 255 / 2%);
        -webkit-border-radius: 4px;
        -moz-border-radius: 4px;
        border-radius: 0;
    }

    #gform_drag_drop_area_4_15 .gform_drop_instructions {
        display: none;
    }

     #gform_drag_drop_area_4_15 .button {
        margin: 0 !important;
        position: absolute;
        top: -14px;
        left: 100px;
        background: transparent;
        color: var(--ks-primary-black);
        padding: 0;
        height: 0;
        line-height: 0;
        font-size: 18px;
        font-family: var(--nvm-font-sans-serif-barlow) !important;
        text-transform: uppercase;

    }

    #gform_drag_drop_area_4_15 .button:hover {
        font-weight: normal !important;
    }